Bug 20171 - errors compiling kernel
errors compiling kernel
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-01 20:00 EST by Need Real Name
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-02 02:56:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-11-01 20:00:23 EST
I am getting errors when I compile the kernel.
The errors are in chechsum.S  in the definition of macros SRC and DST 
around line #'s 232 & 238
Comment 1 Arjan van de Ven 2000-11-02 02:56:03 EST
This means you are not using kgcc to compile the kernel. You need to install
the kgcc package and make sure you use "kgcc" as the compiler that gets
selected.

"export CC=kgcc" often does the trick, if not, edit the Makefile of the kernel
around line 24 to make it say "CC = kgcc".

Note You need to log in before you can comment on or make changes to this bug.